Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkcs11
Class PK11Cert.StringPrincipal

    java.lang.Object
      |
      +--org.mozilla.jss.pkcs11.PK11Cert.StringPrincipal

All Implemented Interfaces:
  java.security.Principal

Enclosing class:
  PK11Cert

protected static class PK11Cert.StringPrincipal
extends java.lang.Object
implements java.security.Principal

A class that implements Principal with a String.

Field Summary
`protected java.lang.String` | `str`

Constructor Summary
`PK11Cert.StringPrincipal(java.lang.String str)`

Method Summary
`boolean` | `equals(java.lang.Object other)`
`java.lang.String` | `getName()`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`, clone, finalize, getClass, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### str

    protected java.lang.String str

Constructor Detail

### PK11Cert.StringPrincipal

    public PK11Cert.StringPrincipal(java.lang.String str)

Method Detail

### equals

    public boolean equals(java.lang.Object other)

  Specified by:
    `equals` in interface `java.security.Principal`
  Overrides:
    `equals` in class `java.lang.Object`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `java.security.Principal`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `java.security.Principal`
  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in interface `java.security.Principal`
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD